---
title: "Get a specific illustration"
url: "https://developers.zinnia.com/apis/illustration-3-0-8/versions/b96a49c1-73c5-46d3-8968-fe603081d524/operations/get-illustration"
---

> Full API specification: https://developers.zinnia.com/apis/illustration-3-0-8/versions/b96a49c1-73c5-46d3-8968-fe603081d524.md

# Get a specific illustration

`GET` `/illustration/v3/illustration-request/{id}`

Operation ID: `get-illustration`

Get status of a specific asynchronous calculation request

## Path parameters

- `id` (string, required) - the illustration request identifier for which status information is desired

## Query parameters

- `format` (string, optional) - The output format for which information status information is desired. If not supplied will return status of all formats associated with the request identifier.

## Responses

- `200` - The request has been processed and results may be retrieved.
- `202` - The request has been accepted and is queued for processing.
- `400` - The requested format is not supported.
- `404` - The specified combination of request and format is not in the processing queue.

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: Illustration Generation
  version: 3.5.3
servers:
  - url: https://dev.api.zinnia.io
    description: Development
paths:
  /illustration/v3/illustration-request/{id}:
    get:
      operationId: get-illustration
      summary: Get a specific illustration
      description: Get status of a specific asynchronous calculation request
      parameters:
        - in: path
          name: id
          description: the illustration request identifier for which status information is
            desired
          schema:
            type: string
          required: true
        - in: query
          name: format
          description: The output format for which information status information is
            desired. If not supplied will return status of all formats
            associated with the request identifier.
          schema:
            $ref: "#/components/schemas/Output-Format"
          required: false
      responses:
        "200":
          description: The request has been processed and results may be retrieved.
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: "#/components/schemas/Output-Status"
                  - type: string
                    description: Status of a single requested format, if only one format is
                      requested
                    example: COMPLETE
        "202":
          description: The request has been accepted and is queued for processing.
        "400":
          description: The requested format is not supported.
        "404":
          description: The specified combination of request and format is not in the
            processing queue.
      security:
        - Auth0: []
      tags:
        - Illustration Engine
security:
  - Auth0: []
components:
  schemas:
    Output-Format:
      description: identifier for an output format
      type: string
      enum:
        - RAW_ILLUSTRATION_VALUES
        - FORMATTED_ILLUSTRATION_PDF
    Output-Status:
      type: object
      properties:
        format:
          $ref: "#/components/schemas/Output-Format"
        status:
          type: string
          enum:
            - PENDING
            - COMPLETE
            - ERROR
  securitySchemes:
    Auth0:
      type: openIdConnect
      openIdConnectUrl: https://login.dev.zinnia.com/.well-known/openid-configuration
      x-kong-security-openid-connect:
        config:
          run_on_preflight: true
          scopes_claim:
            - https://dev.api.zinnia.io/permissions
          audience_claim:
            - aud
          audience_required:
            - https://dev.api.zinnia.io
          auth_methods:
            - bearer
          scopes: []
        enabled: true
        protocols:
          - grpc
          - grpcs
          - http
          - https
```
